package com.kmall.admin.service.impl;

import com.kmall.admin.dao.OrderExceptionRecordDao;
import com.kmall.admin.entity.OrderExceptionRecordEntity;
import com.kmall.admin.service.OrderExceptionRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 订单异常记录表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-31 17:15:22
 */
@Service("orderExceptionRecordService")
public class OrderExceptionRecordServiceImpl implements OrderExceptionRecordService {
    @Autowired
    private OrderExceptionRecordDao orderExceptionRecordDao;

    @Override
    public OrderExceptionRecordEntity queryObject(Integer id) {
        return orderExceptionRecordDao.queryObject(id);
    }

    @Override
    public List<OrderExceptionRecordEntity> queryList(Map<String, Object> map) {
        return orderExceptionRecordDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return orderExceptionRecordDao.queryTotal(map);
    }

    @Override
    public int save(OrderExceptionRecordEntity orderExceptionRecord) {
        return orderExceptionRecordDao.save(orderExceptionRecord);
    }

    @Override
    public int update(OrderExceptionRecordEntity orderExceptionRecord) {
        return orderExceptionRecordDao.update(orderExceptionRecord);
    }

    @Override
    public int delete(Integer id) {
        return orderExceptionRecordDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return orderExceptionRecordDao.deleteBatch(ids);
    }
}
